#!/bin/bash

# Run a selection of scaling operations on every suitable bitmap file in the
# 'samples' directory.

for i in $(find . -iregex '\./samples/.*-[0-9]+x[0-9]+-pad[0-9]+\.\(yv12\|iyuv\)' | sort); do
    echo "Converting: " $i
    for scale in    0.5     0.6     0.9     1.0     1.1     1.5     1.9     2.0; do
        echo " Scale factor: " $scale
        ./test --scale=$scale --runs=100 $i
    done
done

